Subject: Re: bug#65356: 30.0.50; [wishlist] Support Tramp method, user name and host name completion in eshell

From: Jim Porter <[email-masked]>
Date: Sat, 19 Aug 2023 22:23:41 -0700

On 8/19/2023 10:48 AM, Michael Albinus wrote:
> The patch is appended. Please note, that this has effect only when Tramp
> is loaded, so you might need to test with "emacs -Q -l tramp". People,
> who never use Tramp, won't see a difference.
> 
> For testing you need a recent checkout of Emacs master, because I have
> added another function to tramp.el. This is already pushed to master.
> 
> Comments?

This works for me, and I think it makes sense overall. It might be nice 
to add the ability to ignore remote file names in Eshell when completing 
an argument to an external command (which doesn't understand Tramp 
syntax), but that would probably require a bunch of work on the Eshell 
side, and we can worry about that later, I think.